POSTCreateWitness

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/createwitness

Apply to become a super representative candidate.

Request Body
owner_addressstringrequired

Super Representative (SR) address. (Format: Base58 or Hex)

urlstringrequired

URL of the official website.

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Super Representative (SR) address.

urlstring

URL of the Super Representative's (SR) official website.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/createwitness" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "url": "0x7777772e6578616d706c652e636f6d",
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "url": "string"
}